Package com.dropbox.core.v2.files
Class GetMetadataBuilder
java.lang.Object
com.dropbox.core.v2.files.GetMetadataBuilder
The request builder returned by
DbxUserFilesRequests.getMetadataBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withIncludeDeleted(Boolean includeDeleted) Set value for optional field.withIncludeHasExplicitSharedMembers(Boolean includeHasExplicitSharedMembers) Set value for optional field.withIncludeMediaInfo(Boolean includeMediaInfo) Set value for optional field.withIncludePropertyGroups(TemplateFilterBase includePropertyGroups) Set value for optional field.
-
Method Details
-
withIncludeMediaInfo
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
includeMediaInfo- If true,FileMetadata.getMediaInfo()is set for photo and video. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withIncludeDeleted
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
includeDeleted- If true,DeletedMetadatawill be returned for deleted file or folder, otherwiseLookupError.NOT_FOUNDwill be returned. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withIncludePropertyGroups
Set value for optional field.- Parameters:
includePropertyGroups- If set to a valid list of template IDs,FileMetadata.getPropertyGroups()is set if there exists property data associated with the file and each of the listed templates.- Returns:
- this builder
-
start
Issues the request.
-